//BEGIN COPYRIGHT
//*************************************************************************
//
// Licensed Materials - Property of IBM
// 5725-C94, 5724-I82
// (C) Copyright IBM Corporation 2005, 2012. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");
var cmd = "%windir%\\system32\\cmd.exe";

function getProductProperty(propertyName)
{
    var forReading = 1;
    var tristateUseDefault = -2;
    
    var f = fileObject.GetFile(${WASROOT} + "\\util\\bpm.shortcuts.nls\\script\\count.properties");
    var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
    
    var propertyValue = "";
    while (!ts.AtEndOfStream)
    {
        var lineText = ts.ReadLine();
        if ( lineText.indexOf(propertyName) >= 0)
        {
            propertyValue = lineText.substr(lineText.lastIndexOf("=") +  1);
            break;
        }
    }
    ts.Close();
    
    return propertyValue;
}

var productLabel = getProductProperty("com.ibm");

var startMenuLocation = wshShell.SpecialFolders("Programs");
var IBM = startMenuLocation + "\\IBM";
var product = IBM + "\\" + productLabel;
var profiles = product + "\\${PROFILESDIR}";
var profile = profiles + "\\${PROFILENAME}";

var startMenuLocation = wshShell.SpecialFolders("Programs");
var key = "HKEY_LOCAL_MACHINE\\";
var iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\IE Setup\\Setup\\Path");

// remove the ESB start menu items for this profile
if (fileObject.FolderExists(profile))
      fileObject.DeleteFolder(profile);
      
if (fileObject.FolderExists(profiles) && fileObject.GetFolder(profiles).size == 0)  
      fileObject.DeleteFolder(profiles);      
      
if (fileObject.FolderExists(product) && fileObject.GetFolder(product).size == 0)  
      fileObject.DeleteFolder(product);	

if (fileObject.FolderExists(IBM) && fileObject.GetFolder(IBM).size == 0)  
      fileObject.DeleteFolder(IBM);	
      
// re-create the WAS start menu items for this profile that were deleted
// when the ESB items were added at profile creation/augmentation

// WAS version info
var forReading = 1;
var tristateUseDefault = -2;

var ff = fileObject.GetFile(${WASROOT} + "\\properties\\install\\shortcuts\\shortcuts.txt");
var tss = ff.OpenAsTextStream(forReading, tristateUseDefault);
var line = tss.ReadLine();
tss.Close();

var indexOfSlash = line.indexOf("/");
var node = line.substring(0,indexOfSlash+1);
var leaf = line.substring(indexOfSlash+1);

if (!(fileObject.FolderExists(startMenuLocation + "\\" + node)))
      fileObject.CreateFolder(startMenuLocation + "\\" + node);

if (!(fileObject.FolderExists(startMenuLocation + "\\" + node + "\\" + leaf)))
      fileObject.CreateFolder(startMenuLocation + "\\" + node + "\\" + leaf);

if (!(fileObject.FolderExists(startMenuLocation + "\\" + node + "\\" + leaf + "\\Profiles")))
      fileObject.CreateFolder(startMenuLocation + "\\" + node + "\\" + leaf + "\\Profiles");

if (!(fileObject.FolderExists(startMenuLocation + "\\" + node + "\\" + leaf + "\\Profiles\\${PROFILENAME}")))
      fileObject.CreateFolder(startMenuLocation + "\\" + node + "\\" + leaf + "\\Profiles\\${PROFILENAME}");

// create the shortcuts
var objShellLinkAdministrativeConsole = wshShell.CreateShortcut(startMenuLocation + "\\" + node + "\\" + leaf + "\\Profiles\\${PROFILENAME}\\${ADMINCONSOLE}.lnk");
var objShellLinkFirstSteps = wshShell.CreateShortcut(startMenuLocation + "\\" + node + "\\" + leaf  + "\\Profiles\\${PROFILENAME}\\${FIRSTSTEPS}.lnk");
var objShellLinkStartServer = wshShell.CreateShortcut(startMenuLocation + "\\" + node + "\\" + leaf  + "\\Profiles\\${PROFILENAME}\\${STARTSERVER}.lnk");
var objShellLinkStopServer = wshShell.CreateShortcut(startMenuLocation + "\\" + node + "\\" + leaf  + "\\Profiles\\${PROFILENAME}\\${STOPSERVER}.lnk");

//1: Activates and displays a window. If the window is minimized or maximized, the system restores it to its original size and position.
//3: Activates the window and displays it as a maximized window.
//7: Minimizes the window and activates the next top-level window.
objShellLinkAdministrativeConsole.WindowStyle = 1;
objShellLinkFirstSteps.WindowStyle = 7;
objShellLinkStartServer.WindowStyle = 1;
objShellLinkStopServer.WindowStyle = 1;

// set params on        "Admin Console" shortcut
objShellLinkAdministrativeConsole.IconLocation = ${WASROOT} + "\\bin\\icons\\console.ico";
objShellLinkAdministrativeConsole.TargetPath = iePath + "\\IEXPLORE.EXE";
objShellLinkAdministrativeConsole.Arguments = "http://localhost:"+ ${CONSOLEPORT} +"/ibm/console";
objShellLinkAdministrativeConsole.Description = "${ADMINCONSOLE}";
objShellLinkAdministrativeConsole.Save(); //commit change

// set params on        "First Steps" shortcut
objShellLinkFirstSteps.IconLocation = ${WASROOT} + "\\bin\\icons\\firststeps.ico";
objShellLinkFirstSteps.TargetPath = ${PROFILEROOT} + "\\firststeps\\firststeps.bat";
objShellLinkFirstSteps.WorkingDirectory = ${PROFILEROOT} + "\\firststeps";
objShellLinkFirstSteps.Description = "${FIRSTSTEPS}";
objShellLinkFirstSteps.Save(); //commit change

// set params on        "Start Server" shortcut
objShellLinkStartServer.IconLocation = ${WASROOT} + "\\bin\\icons\\start_server.ico";
objShellLinkStartServer.TargetPath = ${PROFILEROOT} + "\\bin\\startserver.bat";
objShellLinkStartServer.Arguments = "dmgr";
objShellLinkStartServer.WorkingDirectory = ${PROFILEROOT} + "\\bin";
objShellLinkStartServer.Description = "${STARTSERVER}";
objShellLinkStartServer.Save(); //commit change

// set params on        "Stop Server" shortcut
objShellLinkStopServer.IconLocation = ${WASROOT} + "\\bin\\icons\\server_stopped.ico";
objShellLinkStopServer.TargetPath = ${PROFILEROOT} + "\\bin\\stopserver.bat";
objShellLinkStopServer.Arguments = "dmgr";
objShellLinkStopServer.WorkingDirectory = ${PROFILEROOT} + "\\bin";
objShellLinkStopServer.Description = "${STOPSERVER}";
objShellLinkStopServer.Save(); //commit change
